body{
    font-family: 'Roboto', sans-serif;
    height: 100vh;
}

.logo{
    color:white;
    text-shadow: 1.5px 1px 0 black, -1.5px -1px 0 #ec4520;
    font-family: 'Times New Roman', Times, serif;
    font-size: 3rem;
    font-weight: bold;
    letter-spacing: 2px;
}

.search_button, .search_input{
    padding: 0.8rem 0.8rem;
    border: solid 1px grey;
    background-color: white;
}

.search_button{
    color: #ec4520;
    border-color: #ec4520;
    font-weight: 600;
    margin-left: 1rem;
}

.search_input{
    width: 11rem;
    border-radius: 2px;
}

.search_input:hover{
    width: 19rem;
}

.header, .footer{
    display:flex;
    flex-direction: column;
    margin: 0 5.5rem;
}

.top__bar, .menu__section{
    display:flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.menu {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    padding-inline-start: 0;
}

.menu li {
    margin-right: 20px; 
}

.menu li a {
    text-decoration: none;
    color: #ec4520; 
    font-weight: 600;
    font-family: 'Roboto';
    font-size: 1.3rem;
    transition: color 0.3s;
}

.menu li a:hover {
    color: #b10505;
}

.add_teacher{
    border: solid 1px #ec4520;
    background-color: white;
    color: #ec4520;
    font-family: 'Roboto';
    font-size: 1.3rem;
    font-weight: 600;
    padding: 0.8rem 1.5rem;
    text-decoration: none;;
}

.add_teacher:hover, 
.search_button:hover{
    background-color: #ec4520;
    color: white;
}

.horizontal_line {
    background-color: black;
    height: 1px; 
    width: 50%; 
    margin: 20px auto 0 auto; 
}

.section__heading{
    display: flex;
    justify-content: center;
    font-size: 1.5rem;;
}



.top__teachers {
    display: flex;
    flex-direction: column;
    margin: 0 5.5rem;
}

.teachers_filters {
    display: flex;
    flex-direction: row;
    gap:15px;
    margin: 10px 0 40px 0;
}

.age_dropdown,
.region_dropdown,
.sex_dropdown, 
.checkbox--with-photo {
    display: flex;
    align-items: center;
    border-right: 1.5px dotted gray ;
    padding-right: 15px;
}

label {
    margin-right: 15px;
    font-size: 14px;
    color: gray;
}

select {
    padding: 7px 5px;
    border: 1px solid rgba(0, 0, 0, 0.479);
    border-radius: 2px;
}

.checkbox {
    display: flex;
    align-items: center;
}

.checkbox label {
    margin-left: 5px;
}

.checkbox label:hover{
    color: black;
}

.teachers{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
}

.teacher{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.teacher_photo{
    width:140px;
}

.image-container{
    position: relative;
    width:140px;
    height: 140px;
    overflow: hidden;
    border: solid 3px #ec4520;
    border-radius: 70px;
    margin-bottom: 20px;
}

.container_with_star{
    position: relative;
}

.indicator_star{
    position: absolute;
    top: 0px; 
    right: 0px; 
    font-size: 2rem;
    color: gold;
}

.teacher_photo:hover{
    -ms-transform: scale(1.2); 
    -webkit-transform: scale(1.2);
    transform: scale(1.2); 
}

.teacher_name, 
.teacher_surname{
    margin:0;
    font-size: 1.5rem;
}

.science{
    color: gray;
    font-size: 14px;
}

.location{
    margin:0;
    font-size: 12px;
}


.statistics{
    margin: 0 5.5rem;
}

.statictics_table {
    width: 100%;
    border-collapse: collapse;
    border: none;
}

.statictics_table th,
.statictics_table td {
    padding: 0.6rem 40px;
    text-align: center;
    color:rgb(58, 57, 57);  
}

.statictics_table td{
    font-size: 14px;
}
.statictics_table th{
    padding: 10px 0;
    border-bottom: solid 1px black;
    font-weight: normal;
    font-size: 1.1rem;
}

.statictics_table th:first-child {
    text-align: left;
    padding-left: 30px;
}

.statictics_table td:first-child{
    text-align: left;
    padding-left: 1rem;
}

.statictics_table tr:nth-child(odd) {
    background-color: #e0c7db41;
}

.statictics_table th {
    background-color: white;
}

.pagination p{
    font-size: 1rem;
    margin: 2rem 1rem;
    color:rgb(3, 126, 126);
}




.carousel-container {
    position: relative;
    overflow: hidden;
    width: 100%;
}

.forward-button {
    position: absolute;
    top: 50%;
    right: 10px;
    cursor: pointer;
    z-index:100;
    background-color: #ffffff;
    transform: translateY(-50%);
}

.back-button {
    position: absolute;
    top: 50%;
    left: 10px; 
  
    cursor: pointer;
    transform: translateY(-50%); 
}


.favorite__teachers {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
    transition: transform 0.3s ease;
    overflow: hidden; 
    margin: 0 5.5rem;
}

.favorite__teachers .location {
    margin-top: 1rem;
}

.teacher {
    flex: 0 0 calc(20% - 20px); 
    margin-right: 20px;
}

.teacher a{
    text-decoration: none;
    color: black;
}

.forward-button,
.back-button {
    cursor: pointer;
}

.footer .horizontal_line{
    margin-bottom: 2rem;
}


.footer p{
    font-size: 0.95rem;
    color: rgb(51, 49, 49);
    margin: 10px 0;
}

.footer{
    padding: 4rem 0;
}

.footer .menu__section{
    margin-top: 1rem;
} 




.top__login{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: rgb(75, 74, 74);
    font-size: 1rem;
    color: white;
    padding: 0 10px;
}

.top__login h2{
    margin: 10px 0;
    font-weight: normal;
}

.add_form{
    padding:  10px 20px 20px 20px;
}

.add_form p{
    font-size: 12px;
    color: grey;
}

.input_name input,
.speciality-select,
.country-select,
.location_input input,
.contact_input input{
   width: 100%; 
   padding: 5px 10px;
   box-sizing: border-box;
}

.location_input,
.contact_input{
    display: grid;
    width: 100%;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    box-sizing: border-box;
}

.contact_email{
    margin-right: 20px;
}

.datepicker{
    width: 50%;
    padding: 5px 10px;
    box-sizing: border-box;
}
.sex_input,
.input_bgcolor{
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 50%; 
}

.sex_input p{
    margin-right: 10px;
}

.sex_input label{
    margin: 0 5px;
    font-size: 12px;
}

.input_bgcolor p{
    margin-right: 20px;
}

.notes{
    width:100%;
    box-sizing: border-box;
}

.login-button{
    display: flex;
    flex-direction: row;;
    width: 100%;
    justify-content: center;
    margin-top: 20px;
}

.box {
	text-align: center;
}

.overlay {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: rgba(200, 195, 195, 0.8);
	transition: opacity 500ms;
	visibility: hidden;
	opacity: 0;
}
.overlay:target {
	visibility: visible;
	opacity: 1;
}

.wrapper {
	margin: 70px auto;
	background: #ffffff;
	border-radius: 3px;
	width: 50%;
	position: relative;
	transition: all 5s ease-in-out;
}

.wrapper .close {
	position: absolute;

	right: 10px;
	transition: all 200ms;
	font-size: 30px;
	font-weight: bold;
	text-decoration: none;
	color: #ffffff;
}
.wrapper .close:hover {
	color: #ec4520;
}
.wrapper .add_form {
	max-height: 30%;
	overflow: auto;
}

.info{
    width:80%;
}

.main_info{
    display: flex;
    flex-direction: row;
    padding: 1rem;
}

.main_info .teacher_photo{
    height: 20rem;
    width: 20rem;
}

.teacher-info{
    margin-left: 2rem;
}

.teacher-info h2{
    font-size: 2rem;
}

.container a{
    text-decoration: none;
    color:aqua;
}

.star{
    position:absolute;
    font-size: 3rem;
    color: yellow;
    right: 1rem;
}


@media (max-width: 768px) {
    body {
        margin: 0; 
    }
    
    .logo {
        font-size: 2rem;
        letter-spacing: 1px; 
        text-align: center; 
    }
    
    .search_button,
    .search_input {
        padding: 0.5rem 0.8rem;
        width: 100%;
    }

    .box{
        margin-bottom: 2rem;
    }

    .horizontal_line{
        width:80%;
    }
    
    .search_button {
        margin-top: 1rem;
        font-size: 1rem;
    }
    
    .header,
    .footer {
        margin: 0 1rem;
    }
    
    .top__bar,
    .menu__section {
        flex-direction: column;
        align-items: center;
    }
    
    .menu {
        flex-direction: column; 
        align-items: center; 
    }
    
    .menu li {
        margin: 0.5rem 0;
    }
    
    .add_teacher {
        margin-top: 1rem; 
        font-size: 1rem; 
        padding: 0.5rem 1rem; 
    }
    
    .section__heading {
        font-size: 1.2rem; 
        margin-top: 1rem; 
    }
    
    .top__teachers {
        margin: 0 1rem;
    }
    
    .teachers_filters {
        flex-direction: column; 
        gap: 10px;
        margin: 0.5rem 0 2rem 0; 
    }
    
    .age_dropdown,
    .region_dropdown,
    .sex_dropdown,
    .checkbox--with-photo {
        border-right: none; 
        padding-right: 0; 
        margin: 0.5rem 0; 
    }
    
    .teachers {
        grid-template-columns: repeat(2, 1fr); 
        gap: 10px; 
    }
    
    .teacher_photo {
        height: 100%;
        width: 100%; 
    }
    
    .image-container {
        width: 10rem; 
        height: 10rem; 
        border-radius: 50%;
    }
    
    .star {
        font-size: 2rem; 
        margin-left: 0;
    }
    
    .footer {
        padding: 2rem 0; 
        text-align: center; 
        margin-top: 2rem; 
    }
    
    .footer .menu__section {
        margin-top: 0; 
    }
    .statistics{
        margin: 0;
    }
    
    .statictics_table th,
    .statictics_table td {
        padding: 0.6rem 5px;
    }

    .wrapper{
        width: 96%;
    }

    .main_info{
        flex-direction: column;
    }

    .main_info .teacher_photo{
        width: 50%;
        height: 50%;
    }
    
}    


@media (min-width: 768px) and (max-width: 1050px) {
    .teachers{
        grid-template-columns: repeat(4, 1fr);
    } 
    .top__bar, .menu__section{
        flex-direction: column;
    }
}


